package algoritmo

import (
	"fmt"
	"math/big"
	"strings"
)

// Convierte una cadena numérica en base 10 a base 16 (hexadecimal)
func convertirABase16(cadena string) string {
	bigInt := new(big.Int)
	bigInt.SetString(cadena, 10)
	return strings.ToUpper(fmt.Sprintf("%X", bigInt))
}

// Completa con ceros a la izquierda hasta la longitud deseada
func completarConCeros(valor string, longitud int) string {
	for len(valor) < longitud {
		valor = "0" + valor
	}
	return valor
}
